
From: Erik van Konijnenburg <ekonijn@xs4all.nl>

There are two issues here:
- absense of a MODULE_ALIAS_BLOCK in loop.c
- mismatch between the patterns used in the MODULE_ALIAS_BLOCK
  define and the modprobe invokation in request_module.

Did you also add the attached patch to MODULE_ALIAS_BLOCK to loop.c?



 25-akpm/drivers/block/loop.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/block/loop.c~loop-module-alias drivers/block/loop.c
--- 25/drivers/block/loop.c~loop-module-alias	Mon Dec 22 14:08:19 2003
+++ 25-akpm/drivers/block/loop.c	Mon Dec 22 14:08:19 2003
@@ -55,6 +55,7 @@
 #include <linux/errno.h>
 #include <linux/major.h>
 #include <linux/wait.h>
+#include <linux/blkdev.h>
 #include <linux/blkpg.h>
 #include <linux/init.h>
 #include <linux/devfs_fs_kernel.h>
@@ -1126,6 +1127,7 @@ static struct block_device_operations lo
 MODULE_PARM(max_loop, "i");
 MODULE_PARM_DESC(max_loop, "Maximum number of loop devices (1-256)");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_BLOCKDEV_MAJOR(LOOP_MAJOR);
 
 int loop_register_transfer(struct loop_func_table *funcs)
 {

_
